/* Generated by MyraPad at 13.02.2022 22:32:26 */
using Myra;
using Myra.Graphics2D;
using Myra.Graphics2D.TextureAtlases;
using Myra.Graphics2D.UI;
using Myra.Graphics2D.Brushes;
using Myra.Graphics2D.UI.Properties;

#if MONOGAME || FNA
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#elif STRIDE
using Stride.Core.Mathematics;
#else
using System.Drawing;
using System.Numerics;
#endif

namespace SkinManager
{
	partial class UI: Grid
	{
		private void BuildUI()
		{
			var label1 = new Label();
			label1.Text = "Spine Asset:";
			label1.GridColumn = 1;
			label1.GridRow = 1;

			SpineAssetsComboBox = new ComboBox();
			SpineAssetsComboBox.Width = 200;
			SpineAssetsComboBox.GridColumn = 2;
			SpineAssetsComboBox.GridRow = 1;
			SpineAssetsComboBox.Id = "SpineAssetsComboBox";

			var label2 = new Label();
			label2.Text = "External skins:";
			label2.GridColumn = 1;
			label2.GridRow = 2;

			var listItem1 = new ListItem();
			listItem1.Text = "placeholder";

			var listItem2 = new ListItem();
			listItem2.Text = "placeholder";

			var listItem3 = new ListItem();
			listItem3.Text = "placeholder";

			var listItem4 = new ListItem();
			listItem4.Text = "placeholder";

			var listItem5 = new ListItem();
			listItem5.Text = "placeholder";

			var listItem6 = new ListItem();
			listItem6.Text = "placeholder";

			var listItem7 = new ListItem();
			listItem7.Text = "placeholder";

			var listItem8 = new ListItem();
			listItem8.Text = "placeholder";

			var listItem9 = new ListItem();
			listItem9.Text = "placeholder";

			var listItem10 = new ListItem();
			listItem10.Text = "placeholder";

			ExternalSkinsList = new ListBox();
			ExternalSkinsList.Id = "ExternalSkinsList";
			ExternalSkinsList.Items.Add(listItem1);
			ExternalSkinsList.Items.Add(listItem2);
			ExternalSkinsList.Items.Add(listItem3);
			ExternalSkinsList.Items.Add(listItem4);
			ExternalSkinsList.Items.Add(listItem5);
			ExternalSkinsList.Items.Add(listItem6);
			ExternalSkinsList.Items.Add(listItem7);
			ExternalSkinsList.Items.Add(listItem8);
			ExternalSkinsList.Items.Add(listItem9);
			ExternalSkinsList.Items.Add(listItem10);

			var scrollViewer1 = new ScrollViewer();
			scrollViewer1.Height = 150;
			scrollViewer1.GridColumn = 1;
			scrollViewer1.GridRow = 3;
			scrollViewer1.GridRowSpan = 4;
			scrollViewer1.Content = ExternalSkinsList;

			EnableSkinButton = new TextButton();
			EnableSkinButton.Text = "Enable/Disable";
			EnableSkinButton.BorderThickness = new Thickness(3);
			EnableSkinButton.Padding = new Thickness(10, 5);
			EnableSkinButton.GridColumn = 2;
			EnableSkinButton.GridRow = 3;
			EnableSkinButton.Border = new SolidBrush("#8C8C8CFF");
			EnableSkinButton.Id = "EnableSkinButton";

			ImportSkinButton = new TextButton();
			ImportSkinButton.Text = "Import";
			ImportSkinButton.BorderThickness = new Thickness(3);
			ImportSkinButton.Padding = new Thickness(10, 5);
			ImportSkinButton.GridColumn = 2;
			ImportSkinButton.GridRow = 4;
			ImportSkinButton.Border = new SolidBrush("#8C8C8CFF");
			ImportSkinButton.Id = "ImportSkinButton";

			RemoveSkinButton = new TextButton();
			RemoveSkinButton.Text = "Remove";
			RemoveSkinButton.TextColor = ColorStorage.CreateColor(255, 115, 102, 255);
			RemoveSkinButton.BorderThickness = new Thickness(3);
			RemoveSkinButton.Padding = new Thickness(10, 5);
			RemoveSkinButton.GridColumn = 2;
			RemoveSkinButton.GridRow = 5;
			RemoveSkinButton.Border = new SolidBrush("#8C8C8CFF");
			RemoveSkinButton.Id = "RemoveSkinButton";

			var label3 = new Label();
			label3.Text = "Core skins:";
			label3.GridColumn = 6;
			label3.GridRow = 2;

			var listItem11 = new ListItem();
			listItem11.Text = "placeholder";

			var listItem12 = new ListItem();
			listItem12.Text = "placeholder";

			var listItem13 = new ListItem();
			listItem13.Text = "placeholder";

			var listItem14 = new ListItem();
			listItem14.Text = "placeholder";

			var listItem15 = new ListItem();
			listItem15.Text = "placeholder";

			var listItem16 = new ListItem();
			listItem16.Text = "placeholder";

			var listItem17 = new ListItem();
			listItem17.Text = "placeholder";

			var listItem18 = new ListItem();
			listItem18.Text = "placeholder";

			var listItem19 = new ListItem();
			listItem19.Text = "placeholder";

			var listItem20 = new ListItem();
			listItem20.Text = "placeholder";

			CoreSkinsList = new ListBox();
			CoreSkinsList.Id = "CoreSkinsList";
			CoreSkinsList.Items.Add(listItem11);
			CoreSkinsList.Items.Add(listItem12);
			CoreSkinsList.Items.Add(listItem13);
			CoreSkinsList.Items.Add(listItem14);
			CoreSkinsList.Items.Add(listItem15);
			CoreSkinsList.Items.Add(listItem16);
			CoreSkinsList.Items.Add(listItem17);
			CoreSkinsList.Items.Add(listItem18);
			CoreSkinsList.Items.Add(listItem19);
			CoreSkinsList.Items.Add(listItem20);

			var scrollViewer2 = new ScrollViewer();
			scrollViewer2.Width = 400;
			scrollViewer2.Height = 150;
			scrollViewer2.GridColumn = 6;
			scrollViewer2.GridRow = 3;
			scrollViewer2.GridRowSpan = 4;
			scrollViewer2.Content = CoreSkinsList;

			EnableCoreSkinButton = new TextButton();
			EnableCoreSkinButton.Text = "Enable/Disable";
			EnableCoreSkinButton.BorderThickness = new Thickness(3);
			EnableCoreSkinButton.Padding = new Thickness(10, 5);
			EnableCoreSkinButton.GridColumn = 7;
			EnableCoreSkinButton.GridRow = 3;
			EnableCoreSkinButton.Border = new SolidBrush("#8C8C8CFF");
			EnableCoreSkinButton.Id = "EnableCoreSkinButton";

			var label4 = new Label();
			label4.Text = "Side: ";
			label4.GridColumn = 6;
			label4.GridRow = 7;

			var listItem21 = new ListItem();
			listItem21.Text = "front";

			var listItem22 = new ListItem();
			listItem22.Text = "back";

			SideComboBox = new ComboBox();
			SideComboBox.Width = 140;
			SideComboBox.GridColumn = 7;
			SideComboBox.GridRow = 7;
			SideComboBox.Id = "SideComboBox";
			SideComboBox.Items.Add(listItem21);
			SideComboBox.Items.Add(listItem22);

			var label5 = new Label();
			label5.Text = "Animation: ";
			label5.GridColumn = 6;
			label5.GridRow = 8;

			AnimationComboBox = new ComboBox();
			AnimationComboBox.Width = 140;
			AnimationComboBox.GridColumn = 7;
			AnimationComboBox.GridRow = 8;
			AnimationComboBox.Id = "AnimationComboBox";

			var label6 = new Label();
			label6.Text = "Color channels:";
			label6.GridColumn = 6;
			label6.GridRow = 10;

			var listItem23 = new ListItem();
			listItem23.Text = "placeholder";

			var listItem24 = new ListItem();
			listItem24.Text = "placeholder";

			var listItem25 = new ListItem();
			listItem25.Text = "placeholder";

			var listItem26 = new ListItem();
			listItem26.Text = "placeholder";

			var listItem27 = new ListItem();
			listItem27.Text = "placeholder";

			var listItem28 = new ListItem();
			listItem28.Text = "placeholder";

			var listItem29 = new ListItem();
			listItem29.Text = "placeholder";

			var listItem30 = new ListItem();
			listItem30.Text = "placeholder";

			var listItem31 = new ListItem();
			listItem31.Text = "placeholder";

			var listItem32 = new ListItem();
			listItem32.Text = "placeholder";

			ColorChannelsList = new ListBox();
			ColorChannelsList.Id = "ColorChannelsList";
			ColorChannelsList.Items.Add(listItem23);
			ColorChannelsList.Items.Add(listItem24);
			ColorChannelsList.Items.Add(listItem25);
			ColorChannelsList.Items.Add(listItem26);
			ColorChannelsList.Items.Add(listItem27);
			ColorChannelsList.Items.Add(listItem28);
			ColorChannelsList.Items.Add(listItem29);
			ColorChannelsList.Items.Add(listItem30);
			ColorChannelsList.Items.Add(listItem31);
			ColorChannelsList.Items.Add(listItem32);

			var scrollViewer3 = new ScrollViewer();
			scrollViewer3.Width = 400;
			scrollViewer3.Height = 150;
			scrollViewer3.GridColumn = 6;
			scrollViewer3.GridRow = 11;
			scrollViewer3.Content = ColorChannelsList;

			ColorPickerButton = new TextButton();
			ColorPickerButton.Width = 100;
			ColorPickerButton.Height = 100;
			ColorPickerButton.BorderThickness = new Thickness(5);
			ColorPickerButton.GridColumn = 7;
			ColorPickerButton.GridRow = 11;
			ColorPickerButton.Border = new SolidBrush("#666666FF");
			ColorPickerButton.Id = "ColorPickerButton";

			var label7 = new Label();
			label7.Text = "External skin settings";
			label7.GridColumn = 1;
			label7.GridRow = 8;

			var label8 = new Label();
			label8.Text = "Attachment";
			label8.GridColumn = 1;
			label8.GridRow = 9;

			var listItem33 = new ListItem();
			listItem33.Text = "placeholder";

			AttachmentComboBox = new ComboBox();
			AttachmentComboBox.GridColumn = 2;
			AttachmentComboBox.GridRow = 9;
			AttachmentComboBox.Id = "AttachmentComboBox";
			AttachmentComboBox.Items.Add(listItem33);

			var label9 = new Label();
			label9.Text = "Position";
			label9.GridColumn = 1;
			label9.GridRow = 1;

			var label10 = new Label();
			label10.Text = "Rotation";
			label10.GridColumn = 1;
			label10.GridRow = 2;

			var label11 = new Label();
			label11.Text = "Width";
			label11.GridColumn = 1;
			label11.GridRow = 3;

			var label12 = new Label();
			label12.Text = "Height";
			label12.GridColumn = 1;
			label12.GridRow = 4;

			var label13 = new Label();
			label13.Text = "Scale";
			label13.GridColumn = 1;
			label13.GridRow = 5;

			var label14 = new Label();
			label14.Text = "Mesh skin";
			label14.GridColumn = 1;
			label14.GridRow = 6;

			XSpinButton = new SpinButton();
      XSpinButton.Increment = 0.1f;
      XSpinButton.DecimalPlaces = 2;
			XSpinButton.MinWidth = 50;
			XSpinButton.MaxWidth = 50;
			XSpinButton.Width = 50;
			XSpinButton.BorderThickness = new Thickness(2);
			XSpinButton.GridColumn = 2;
			XSpinButton.GridRow = 1;
			XSpinButton.Id = "XSpinButton";

			YSpinButton = new SpinButton();
      YSpinButton.Increment = 0.1f;
      YSpinButton.DecimalPlaces = 2;
			YSpinButton.MinWidth = 50;
			YSpinButton.MaxWidth = 50;
			YSpinButton.Width = 50;
			YSpinButton.BorderThickness = new Thickness(2);
			YSpinButton.GridColumn = 3;
			YSpinButton.GridRow = 1;
			YSpinButton.Id = "YSpinButton";

			RotationSpinButton = new SpinButton();
			RotationSpinButton.Maximum = 360;
			RotationSpinButton.Minimum = -360;
			RotationSpinButton.MinWidth = 50;
			RotationSpinButton.MaxWidth = 50;
			RotationSpinButton.Width = 50;
			RotationSpinButton.BorderThickness = new Thickness(2);
			RotationSpinButton.GridColumn = 2;
			RotationSpinButton.GridRow = 2;
			RotationSpinButton.Id = "RotationSpinButton";

			WidthSpinButton = new SpinButton();
			WidthSpinButton.MinWidth = 50;
			WidthSpinButton.MaxWidth = 50;
			WidthSpinButton.Width = 50;
			WidthSpinButton.BorderThickness = new Thickness(2);
			WidthSpinButton.GridColumn = 2;
			WidthSpinButton.GridRow = 3;
			WidthSpinButton.Id = "WidthSpinButton";

			HeightSpinButton = new SpinButton();
			HeightSpinButton.MinWidth = 50;
			HeightSpinButton.MaxWidth = 50;
			HeightSpinButton.Width = 50;
			HeightSpinButton.BorderThickness = new Thickness(2);
			HeightSpinButton.GridColumn = 2;
			HeightSpinButton.GridRow = 4;
			HeightSpinButton.Id = "HeightSpinButton";

			ScaleXSpinButton = new SpinButton();
      ScaleXSpinButton.Increment = 0.1f;
      ScaleXSpinButton.DecimalPlaces = 2;
			ScaleXSpinButton.MinWidth = 50;
			ScaleXSpinButton.MaxWidth = 50;
			ScaleXSpinButton.Width = 50;
			ScaleXSpinButton.BorderThickness = new Thickness(2);
			ScaleXSpinButton.GridColumn = 2;
			ScaleXSpinButton.GridRow = 5;
			ScaleXSpinButton.Id = "ScaleXSpinButton";

			ScaleYSpinButton = new SpinButton();
      ScaleYSpinButton.Increment = 0.1f;
      ScaleYSpinButton.DecimalPlaces = 2;
			ScaleYSpinButton.MinWidth = 50;
			ScaleYSpinButton.MaxWidth = 50;
			ScaleYSpinButton.Width = 50;
			ScaleYSpinButton.BorderThickness = new Thickness(2);
			ScaleYSpinButton.GridColumn = 3;
			ScaleYSpinButton.GridRow = 5;
			ScaleYSpinButton.Id = "ScaleYSpinButton";

			MeshSkinComboBox = new ComboBox();
			MeshSkinComboBox.MinWidth = 120;
			MeshSkinComboBox.MaxWidth = 120;
			MeshSkinComboBox.Width = 120;
			MeshSkinComboBox.GridColumn = 2;
			MeshSkinComboBox.GridRow = 6;
			MeshSkinComboBox.GridColumnSpan = 2;
			MeshSkinComboBox.Id = "MeshSkinComboBox";

			PropertiesGrid = new Grid();
			PropertiesGrid.ColumnSpacing = 8;
			PropertiesGrid.RowSpacing = 8;
			PropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			PropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			PropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			PropertiesGrid.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			PropertiesGrid.VerticalAlignment = Myra.Graphics2D.UI.VerticalAlignment.Top;
			PropertiesGrid.Left = 1;
			PropertiesGrid.Height = 1400;
			PropertiesGrid.GridColumn = 1;
			PropertiesGrid.GridRow = 10;
			PropertiesGrid.GridRowSpan = 2;
			PropertiesGrid.Background = new SolidBrush("#202020FF");
			PropertiesGrid.Id = "PropertiesGrid";
			PropertiesGrid.Widgets.Add(label9);
			PropertiesGrid.Widgets.Add(label10);
			PropertiesGrid.Widgets.Add(label11);
			PropertiesGrid.Widgets.Add(label12);
			PropertiesGrid.Widgets.Add(label13);
			PropertiesGrid.Widgets.Add(label14);
			PropertiesGrid.Widgets.Add(XSpinButton);
			PropertiesGrid.Widgets.Add(YSpinButton);
			PropertiesGrid.Widgets.Add(RotationSpinButton);
			PropertiesGrid.Widgets.Add(WidthSpinButton);
			PropertiesGrid.Widgets.Add(HeightSpinButton);
			PropertiesGrid.Widgets.Add(ScaleXSpinButton);
			PropertiesGrid.Widgets.Add(ScaleYSpinButton);
			PropertiesGrid.Widgets.Add(MeshSkinComboBox);

			SaveButton = new ImageTextButton();
			SaveButton.Text = "Save";
			SaveButton.Top = 1;
			SaveButton.BorderThickness = new Thickness(2);
			SaveButton.Padding = new Thickness(30, 5);
			SaveButton.GridColumn = 1;
			SaveButton.GridRow = 14;
			SaveButton.Border = new SolidBrush("#FF9503FF");
			SaveButton.Id = "SaveButton";

			SkinManagerGrid = new Grid();
			SkinManagerGrid.ColumnSpacing = 8;
			SkinManagerGrid.RowSpacing = 8;
			SkinManagerGrid.DefaultRowProportion = new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			};
			SkinManagerGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			SkinManagerGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			SkinManagerGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			SkinManagerGrid.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			SkinManagerGrid.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			SkinManagerGrid.VerticalAlignment = Myra.Graphics2D.UI.VerticalAlignment.Top;
			SkinManagerGrid.Left = 1;
			SkinManagerGrid.Height = 1400;
			SkinManagerGrid.Visible = false;
			SkinManagerGrid.Background = new SolidBrush("#00000000");
			SkinManagerGrid.Id = "SkinManagerGrid";
			SkinManagerGrid.Widgets.Add(label1);
			SkinManagerGrid.Widgets.Add(SpineAssetsComboBox);
			SkinManagerGrid.Widgets.Add(label2);
			SkinManagerGrid.Widgets.Add(scrollViewer1);
			SkinManagerGrid.Widgets.Add(EnableSkinButton);
			SkinManagerGrid.Widgets.Add(ImportSkinButton);
			SkinManagerGrid.Widgets.Add(RemoveSkinButton);
			SkinManagerGrid.Widgets.Add(label3);
			SkinManagerGrid.Widgets.Add(scrollViewer2);
			SkinManagerGrid.Widgets.Add(EnableCoreSkinButton);
			SkinManagerGrid.Widgets.Add(label4);
			SkinManagerGrid.Widgets.Add(SideComboBox);
			SkinManagerGrid.Widgets.Add(label5);
			SkinManagerGrid.Widgets.Add(AnimationComboBox);
			SkinManagerGrid.Widgets.Add(label6);
			SkinManagerGrid.Widgets.Add(scrollViewer3);
			SkinManagerGrid.Widgets.Add(ColorPickerButton);
			SkinManagerGrid.Widgets.Add(label7);
			SkinManagerGrid.Widgets.Add(label8);
			SkinManagerGrid.Widgets.Add(AttachmentComboBox);
			SkinManagerGrid.Widgets.Add(PropertiesGrid);
			SkinManagerGrid.Widgets.Add(SaveButton);

			SkinManagerTab = new TabItem();
			SkinManagerTab.Text = "Skin Manager";
			SkinManagerTab.Content = null;
			SkinManagerTab.Id = "SkinManagerTab";

			var listItem34 = new ListItem();
			listItem34.Text = "placeholder";

			var listItem35 = new ListItem();
			listItem35.Text = "placeholder";

			var listItem36 = new ListItem();
			listItem36.Text = "placeholder";

			var listItem37 = new ListItem();
			listItem37.Text = "placeholder";

			var listItem38 = new ListItem();
			listItem38.Text = "placeholder";

			var listItem39 = new ListItem();
			listItem39.Text = "placeholder";

			var listItem40 = new ListItem();
			listItem40.Text = "placeholder";

			var listItem41 = new ListItem();
			listItem41.Text = "placeholder";

			var listItem42 = new ListItem();
			listItem42.Text = "placeholder";

			var listItem43 = new ListItem();
			listItem43.Text = "placeholder";

			ContentItemsList = new ListBox();
			ContentItemsList.Id = "ContentItemsList";
			ContentItemsList.Items.Add(listItem34);
			ContentItemsList.Items.Add(listItem35);
			ContentItemsList.Items.Add(listItem36);
			ContentItemsList.Items.Add(listItem37);
			ContentItemsList.Items.Add(listItem38);
			ContentItemsList.Items.Add(listItem39);
			ContentItemsList.Items.Add(listItem40);
			ContentItemsList.Items.Add(listItem41);
			ContentItemsList.Items.Add(listItem42);
			ContentItemsList.Items.Add(listItem43);

			var scrollViewer4 = new ScrollViewer();
			scrollViewer4.Width = 400;
			scrollViewer4.Height = 1500;
			scrollViewer4.GridColumn = 1;
			scrollViewer4.GridRow = 1;
			scrollViewer4.GridRowSpan = 45;
			scrollViewer4.Background = new SolidBrush("#202020FF");
			scrollViewer4.Content = ContentItemsList;

			var label15 = new Label();
			label15.Text = "Properties";
			label15.GridColumn = 1;
			label15.GridRow = 1;

			var label16 = new Label();
			label16.Text = "Id:";
			label16.GridColumn = 1;
			label16.GridRow = 2;

			var label17 = new Label();
			label17.Text = "Main file path:";
			label17.GridColumn = 1;
			label17.GridRow = 3;

			var label18 = new Label();
			label18.Text = "Item type:";
			label18.GridColumn = 1;
			label18.GridRow = 4;

			var label19 = new Label();
			label19.Text = "Never unload:";
			label19.GridColumn = 1;
			label19.GridRow = 5;

			ContentItemIdTextBox = new TextBox();
			ContentItemIdTextBox.Width = 200;
			ContentItemIdTextBox.GridColumn = 2;
			ContentItemIdTextBox.GridRow = 2;
			ContentItemIdTextBox.Id = "ContentItemIdTextBox";

			ContentItemPathTextBox = new TextBox();
			ContentItemPathTextBox.Width = 180;
			ContentItemPathTextBox.Id = "ContentItemPathTextBox";

			ContentItemPathTextButton = new TextButton();
			ContentItemPathTextButton.Text = "...";
			ContentItemPathTextButton.Width = 20;
			ContentItemPathTextButton.BorderThickness = new Thickness(2);
			ContentItemPathTextButton.GridColumn = 1;
			ContentItemPathTextButton.Border = new SolidBrush("#FFFFFFFF");
			ContentItemPathTextButton.Id = "ContentItemPathTextButton";

			var grid1 = new Grid();
			grid1.Width = 200;
			grid1.GridColumn = 2;
			grid1.GridRow = 3;
			grid1.Widgets.Add(ContentItemPathTextBox);
			grid1.Widgets.Add(ContentItemPathTextButton);

			ContentItemItemTypeComboBox = new ComboBox();
			ContentItemItemTypeComboBox.Width = 200;
			ContentItemItemTypeComboBox.GridColumn = 2;
			ContentItemItemTypeComboBox.GridRow = 4;
			ContentItemItemTypeComboBox.Id = "ContentItemItemTypeComboBox";

			ContentItemNeverUnloadCheckBox = new CheckBox();
			ContentItemNeverUnloadCheckBox.GridColumn = 2;
			ContentItemNeverUnloadCheckBox.GridRow = 5;
			ContentItemNeverUnloadCheckBox.Id = "ContentItemNeverUnloadCheckBox";

			SaveContentItemButton = new TextButton();
			SaveContentItemButton.Text = "Save";
			SaveContentItemButton.BorderThickness = new Thickness(3);
			SaveContentItemButton.Padding = new Thickness(10, 5);
			SaveContentItemButton.GridColumn = 1;
			SaveContentItemButton.GridRow = 6;
			SaveContentItemButton.Border = new SolidBrush("#8C8C8CFF");
			SaveContentItemButton.Id = "SaveContentItemButton";

			RemoveContentItemButton = new TextButton();
			RemoveContentItemButton.Text = "Delete";
			RemoveContentItemButton.TextColor = ColorStorage.CreateColor(254, 57, 48, 255);
			RemoveContentItemButton.BorderThickness = new Thickness(3);
			RemoveContentItemButton.Padding = new Thickness(10, 5);
			RemoveContentItemButton.GridColumn = 2;
			RemoveContentItemButton.GridRow = 6;
			RemoveContentItemButton.Border = new SolidBrush("#8C8C8CFF");
			RemoveContentItemButton.Id = "RemoveContentItemButton";

			ContentItemPropertiesGrid = new Grid();
			ContentItemPropertiesGrid.ColumnSpacing = 8;
			ContentItemPropertiesGrid.RowSpacing = 8;
			ContentItemPropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			ContentItemPropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			ContentItemPropertiesGrid.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			ContentItemPropertiesGrid.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 5,
			});
			ContentItemPropertiesGrid.BorderThickness = new Thickness(2);
			ContentItemPropertiesGrid.GridColumn = 3;
			ContentItemPropertiesGrid.GridRow = 1;
			ContentItemPropertiesGrid.GridRowSpan = 35;
			ContentItemPropertiesGrid.Background = new SolidBrush("#202020FF");
			ContentItemPropertiesGrid.Border = new SolidBrush("#B2B2B2FF");
			ContentItemPropertiesGrid.Id = "ContentItemPropertiesGrid";
			ContentItemPropertiesGrid.Widgets.Add(label15);
			ContentItemPropertiesGrid.Widgets.Add(label16);
			ContentItemPropertiesGrid.Widgets.Add(label17);
			ContentItemPropertiesGrid.Widgets.Add(label18);
			ContentItemPropertiesGrid.Widgets.Add(label19);
			ContentItemPropertiesGrid.Widgets.Add(ContentItemIdTextBox);
			ContentItemPropertiesGrid.Widgets.Add(grid1);
			ContentItemPropertiesGrid.Widgets.Add(ContentItemItemTypeComboBox);
			ContentItemPropertiesGrid.Widgets.Add(ContentItemNeverUnloadCheckBox);
			ContentItemPropertiesGrid.Widgets.Add(SaveContentItemButton);
			ContentItemPropertiesGrid.Widgets.Add(RemoveContentItemButton);

			var label20 = new Label();
			label20.Text = "Import";
			label20.GridColumn = 1;
			label20.GridRow = 1;

			var label21 = new Label();
			label21.Text = "Id:";
			label21.GridColumn = 1;
			label21.GridRow = 2;

			var label22 = new Label();
			label22.Text = "Item type:";
			label22.GridColumn = 1;
			label22.GridRow = 3;

			MainFileLocationLabel = new Label();
			MainFileLocationLabel.Text = "[Main file location:]";
			MainFileLocationLabel.GridColumn = 1;
			MainFileLocationLabel.GridRow = 4;
			MainFileLocationLabel.Id = "MainFileLocationLabel";

			SaveLocationLabel = new Label();
			SaveLocationLabel.Text = "Save location:";
			SaveLocationLabel.GridColumn = 1;
			SaveLocationLabel.GridRow = 5;
			SaveLocationLabel.Id = "SaveLocationLabel";

			ImportContentItemButton = new TextButton();
			ImportContentItemButton.Text = "Import";
			ImportContentItemButton.BorderThickness = new Thickness(3);
			ImportContentItemButton.Padding = new Thickness(10, 5);
			ImportContentItemButton.GridColumn = 1;
			ImportContentItemButton.GridRow = 6;
			ImportContentItemButton.Border = new SolidBrush("#8C8C8CFF");
			ImportContentItemButton.Id = "ImportContentItemButton";

			ContentItemImportIdTextBox = new TextBox();
			ContentItemImportIdTextBox.Width = 200;
			ContentItemImportIdTextBox.BorderThickness = new Thickness(2);
			ContentItemImportIdTextBox.GridColumn = 2;
			ContentItemImportIdTextBox.GridRow = 2;
			ContentItemImportIdTextBox.Id = "ContentItemImportIdTextBox";

			ContentItemImportItemTypeComboBox = new ComboBox();
			ContentItemImportItemTypeComboBox.Width = 200;
			ContentItemImportItemTypeComboBox.GridColumn = 2;
			ContentItemImportItemTypeComboBox.GridRow = 3;
			ContentItemImportItemTypeComboBox.Id = "ContentItemImportItemTypeComboBox";

			ContentItemImportPathTextBox = new TextBox();
			ContentItemImportPathTextBox.Width = 180;
			ContentItemImportPathTextBox.Id = "ContentItemImportPathTextBox";

			ContentItemImportPathTextButton = new TextButton();
			ContentItemImportPathTextButton.Text = "...";
			ContentItemImportPathTextButton.Width = 20;
			ContentItemImportPathTextButton.BorderThickness = new Thickness(2);
			ContentItemImportPathTextButton.GridColumn = 1;
			ContentItemImportPathTextButton.Border = new SolidBrush("#FFFFFFFF");
			ContentItemImportPathTextButton.Id = "ContentItemImportPathTextButton";

			var grid2 = new Grid();
			grid2.Width = 200;
			grid2.GridColumn = 2;
			grid2.GridRow = 4;
			grid2.Widgets.Add(ContentItemImportPathTextBox);
			grid2.Widgets.Add(ContentItemImportPathTextButton);

			ContentItemImportSavePathTextBox = new TextBox();
			ContentItemImportSavePathTextBox.Width = 180;
			ContentItemImportSavePathTextBox.Id = "ContentItemImportSavePathTextBox";

			ContentItemImportSavePathTextButton = new TextButton();
			ContentItemImportSavePathTextButton.Text = "...";
			ContentItemImportSavePathTextButton.Width = 20;
			ContentItemImportSavePathTextButton.BorderThickness = new Thickness(2);
			ContentItemImportSavePathTextButton.GridColumn = 1;
			ContentItemImportSavePathTextButton.Border = new SolidBrush("#FFFFFFFF");
			ContentItemImportSavePathTextButton.Id = "ContentItemImportSavePathTextButton";

			var grid3 = new Grid();
			grid3.Width = 200;
			grid3.GridColumn = 2;
			grid3.GridRow = 5;
			grid3.Widgets.Add(ContentItemImportSavePathTextBox);
			grid3.Widgets.Add(ContentItemImportSavePathTextButton);

			var grid4 = new Grid();
			grid4.ColumnSpacing = 8;
			grid4.RowSpacing = 8;
			grid4.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			grid4.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid4.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid4.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 5,
			});
			grid4.BorderThickness = new Thickness(2);
			grid4.GridColumn = 3;
			grid4.GridRow = 36;
			grid4.GridRowSpan = 40;
			grid4.Background = new SolidBrush("#202020FF");
			grid4.Border = new SolidBrush("#B2B2B2FF");
			grid4.Widgets.Add(label20);
			grid4.Widgets.Add(label21);
			grid4.Widgets.Add(label22);
			grid4.Widgets.Add(MainFileLocationLabel);
			grid4.Widgets.Add(SaveLocationLabel);
			grid4.Widgets.Add(ImportContentItemButton);
			grid4.Widgets.Add(ContentItemImportIdTextBox);
			grid4.Widgets.Add(ContentItemImportItemTypeComboBox);
			grid4.Widgets.Add(grid2);
			grid4.Widgets.Add(grid3);

			var grid5 = new Grid();
			grid5.ColumnSpacing = 8;
			grid5.RowSpacing = 8;
			grid5.DefaultRowProportion = new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			};
			grid5.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			grid5.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid5.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid5.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			grid5.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid5.VerticalAlignment = Myra.Graphics2D.UI.VerticalAlignment.Top;
			grid5.Left = 1;
			grid5.Height = 1400;
			grid5.Widgets.Add(scrollViewer4);
			grid5.Widgets.Add(ContentItemPropertiesGrid);
			grid5.Widgets.Add(grid4);

			ContentItemsTab = new TabItem();
			ContentItemsTab.Text = "Content Items";
			ContentItemsTab.Id = "ContentItemsTab";
			ContentItemsTab.Content = grid5;

			var label23 = new Label();
			label23.Text = "Currently opened project:";
			label23.GridColumn = 1;
			label23.GridRow = 1;

			ProjectPathLabel = new Label();
			ProjectPathLabel.Text = "[project path]";
			ProjectPathLabel.GridColumn = 2;
			ProjectPathLabel.GridRow = 1;
			ProjectPathLabel.Id = "ProjectPathLabel";

			OpenProjectTextButton = new TextButton();
			OpenProjectTextButton.Text = "Open project";
			OpenProjectTextButton.BorderThickness = new Thickness(1);
			OpenProjectTextButton.Padding = new Thickness(30, 5);
			OpenProjectTextButton.HorizontalAlignment = Myra.Graphics2D.UI.HorizontalAlignment.Center;
			OpenProjectTextButton.GridColumn = 3;
			OpenProjectTextButton.GridRow = 1;
			OpenProjectTextButton.Border = new SolidBrush("#FFFFFFFF");
			OpenProjectTextButton.Id = "OpenProjectTextButton";

			var label24 = new Label();
			label24.Text = "Active mod:";
			label24.GridColumn = 1;
			label24.GridRow = 2;

			ActiveModComboBox = new ComboBox();
			ActiveModComboBox.GridColumn = 2;
			ActiveModComboBox.GridRow = 2;
			ActiveModComboBox.Id = "ActiveModComboBox";

			ActiveModComboBoxRefreshButton = new TextButton();
			ActiveModComboBoxRefreshButton.Text = "Refresh";
			ActiveModComboBoxRefreshButton.GridColumn = 3;
			ActiveModComboBoxRefreshButton.GridRow = 2;
			ActiveModComboBoxRefreshButton.Id = "ActiveModComboBoxRefreshButton";

			var label25 = new Label();
			label25.Text = "Current project settings";
			label25.GridColumn = 2;
			label25.GridRow = 3;

			var label26 = new Label();
			label26.Text = "Available side prefixes";
			label26.GridColumn = 1;
			label26.GridRow = 4;

			AvailableSidePrefixesTextBox = new TextBox();
			AvailableSidePrefixesTextBox.GridColumn = 2;
			AvailableSidePrefixesTextBox.GridRow = 4;
			AvailableSidePrefixesTextBox.Id = "AvailableSidePrefixesTextBox";

			var label27 = new Label();
			label27.Text = "Available color channel suffixes";
			label27.GridColumn = 1;
			label27.GridRow = 5;

			AvailableColorChannelSuffixesTextBox = new TextBox();
			AvailableColorChannelSuffixesTextBox.GridColumn = 2;
			AvailableColorChannelSuffixesTextBox.GridRow = 5;
			AvailableColorChannelSuffixesTextBox.Id = "AvailableColorChannelSuffixesTextBox";

			var label28 = new Label();
			label28.Text = "Imported skin default location";
			label28.GridColumn = 1;
			label28.GridRow = 6;

			ImportedSkinDefaultLocationTextBox = new TextBox();
			ImportedSkinDefaultLocationTextBox.GridColumn = 2;
			ImportedSkinDefaultLocationTextBox.GridRow = 6;
			ImportedSkinDefaultLocationTextBox.Id = "ImportedSkinDefaultLocationTextBox";

			var label29 = new Label();
			label29.Text = "Auto mesh map";
			label29.GridColumn = 1;
			label29.GridRow = 7;

      var label291 = new Label();
      label291.Text = "Multi slot map";
      label291.GridColumn = 1;
      label291.GridRow = 8;

			AutoMeshMapTextBox = new TextBox();
			AutoMeshMapTextBox.GridColumn = 2;
			AutoMeshMapTextBox.GridRow = 7;
			AutoMeshMapTextBox.Id = "AutoMeshMapTextBox";
      
      MultiSlotMapTextBox = new TextBox();
      MultiSlotMapTextBox.GridColumn = 2;
      MultiSlotMapTextBox.GridRow = 8;
      MultiSlotMapTextBox.Id = "MultiSlotMapTextBox";

			SaveCurrentProjectSettingsTextButton = new TextButton();
			SaveCurrentProjectSettingsTextButton.Text = "Save";
			SaveCurrentProjectSettingsTextButton.BorderThickness = new Thickness(1);
			SaveCurrentProjectSettingsTextButton.Padding = new Thickness(30, 5);
			SaveCurrentProjectSettingsTextButton.HorizontalAlignment = Myra.Graphics2D.UI.HorizontalAlignment.Center;
			SaveCurrentProjectSettingsTextButton.GridColumn = 1;
			SaveCurrentProjectSettingsTextButton.GridRow = 9;
			SaveCurrentProjectSettingsTextButton.Border = new SolidBrush("#FFFFFFFF");
			SaveCurrentProjectSettingsTextButton.Id = "SaveCurrentProjectSettingsTextButton";

			var label30 = new Label();
			label30.Text = "Skin Manager settings";
			label30.GridColumn = 2;
			label30.GridRow = 10;

			var label31 = new Label();
			label31.Text = "After start open project";
			label31.GridColumn = 1;
			label31.GridRow = 11;

			StartProjectPathTextBox = new TextBox();
			StartProjectPathTextBox.GridColumn = 2;
			StartProjectPathTextBox.GridRow = 11;
			StartProjectPathTextBox.Id = "StartProjectPathTextBox";

			StartProjectPathSetCurrentTextButton = new TextButton();
			StartProjectPathSetCurrentTextButton.Text = "Set to current";
			StartProjectPathSetCurrentTextButton.BorderThickness = new Thickness(1);
			StartProjectPathSetCurrentTextButton.Padding = new Thickness(30, 5);
			StartProjectPathSetCurrentTextButton.HorizontalAlignment = Myra.Graphics2D.UI.HorizontalAlignment.Center;
			StartProjectPathSetCurrentTextButton.GridColumn = 3;
			StartProjectPathSetCurrentTextButton.GridRow = 11;
			StartProjectPathSetCurrentTextButton.Border = new SolidBrush("#FFFFFFFF");
			StartProjectPathSetCurrentTextButton.Id = "StartProjectPathSetCurrentTextButton";

			var label32 = new Label();
			label32.Text = "Start spine project Id";
			label32.GridColumn = 1;
			label32.GridRow = 12;

			StartSpineProjectIdTextBox = new TextBox();
			StartSpineProjectIdTextBox.GridColumn = 2;
			StartSpineProjectIdTextBox.GridRow = 12;
			StartSpineProjectIdTextBox.Id = "StartSpineProjectIdTextBox";

			var label33 = new Label();
			label33.Text = "Enable skins";
			label33.GridColumn = 1;
			label33.GridRow = 13;

			EnableSkinsTextBox = new TextBox();
			EnableSkinsTextBox.GridColumn = 2;
			EnableSkinsTextBox.GridRow = 13;
			EnableSkinsTextBox.Id = "EnableSkinsTextBox";

			var label34 = new Label();
			label34.Text = "Assets path";
			label34.GridColumn = 1;
			label34.GridRow = 14;

			AssetsPathTextBox = new TextBox();
			AssetsPathTextBox.GridColumn = 2;
			AssetsPathTextBox.GridRow = 14;
			AssetsPathTextBox.Id = "AssetsPathTextBox";

			SaveSkinManagerSettingsTextButton = new TextButton();
			SaveSkinManagerSettingsTextButton.Text = "Save";
			SaveSkinManagerSettingsTextButton.BorderThickness = new Thickness(1);
			SaveSkinManagerSettingsTextButton.Padding = new Thickness(30, 5);
			SaveSkinManagerSettingsTextButton.HorizontalAlignment = Myra.Graphics2D.UI.HorizontalAlignment.Center;
			SaveSkinManagerSettingsTextButton.GridColumn = 1;
			SaveSkinManagerSettingsTextButton.GridRow = 15;
			SaveSkinManagerSettingsTextButton.Border = new SolidBrush("#FFFFFFFF");
			SaveSkinManagerSettingsTextButton.Id = "SaveSkinManagerSettingsTextButton";

			var grid6 = new Grid();
			grid6.ColumnSpacing = 8;
			grid6.RowSpacing = 8;
			grid6.DefaultRowProportion = new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			};
			grid6.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			grid6.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid6.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid6.ColumnsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid6.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Pixels,
				Value = 10,
			});
			grid6.RowsProportions.Add(new Proportion
			{
				Type = Myra.Graphics2D.UI.ProportionType.Auto,
			});
			grid6.VerticalAlignment = Myra.Graphics2D.UI.VerticalAlignment.Top;
			grid6.Left = 1;
			grid6.Height = 1400;
			grid6.Widgets.Add(label23);
			grid6.Widgets.Add(ProjectPathLabel);
			grid6.Widgets.Add(OpenProjectTextButton);
			grid6.Widgets.Add(label24);
			grid6.Widgets.Add(ActiveModComboBox);
			grid6.Widgets.Add(ActiveModComboBoxRefreshButton);
			grid6.Widgets.Add(label25);
			grid6.Widgets.Add(label26);
			grid6.Widgets.Add(AvailableSidePrefixesTextBox);
			grid6.Widgets.Add(label27);
			grid6.Widgets.Add(AvailableColorChannelSuffixesTextBox);
			grid6.Widgets.Add(label28);
			grid6.Widgets.Add(ImportedSkinDefaultLocationTextBox);
			grid6.Widgets.Add(label29);
      grid6.Widgets.Add(label291);
			grid6.Widgets.Add(AutoMeshMapTextBox);
      grid6.Widgets.Add(MultiSlotMapTextBox);
			grid6.Widgets.Add(SaveCurrentProjectSettingsTextButton);
			grid6.Widgets.Add(label30);
			grid6.Widgets.Add(label31);
			grid6.Widgets.Add(StartProjectPathTextBox);
			grid6.Widgets.Add(StartProjectPathSetCurrentTextButton);
			grid6.Widgets.Add(label32);
			grid6.Widgets.Add(StartSpineProjectIdTextBox);
			grid6.Widgets.Add(label33);
			grid6.Widgets.Add(EnableSkinsTextBox);
			grid6.Widgets.Add(label34);
			grid6.Widgets.Add(AssetsPathTextBox);
			grid6.Widgets.Add(SaveSkinManagerSettingsTextButton);

			SettingsTab = new TabItem();
			SettingsTab.Text = "Settings";
			SettingsTab.Id = "SettingsTab";
			SettingsTab.Content = grid6;

			TabControl = new TabControl();
			TabControl.Width = 1395;
			TabControl.Id = "TabControl";
			TabControl.Items.Add(SkinManagerTab);
			TabControl.Items.Add(ContentItemsTab);
			TabControl.Items.Add(SettingsTab);

			
			ColumnSpacing = 8;
			RowSpacing = 8;
			VerticalAlignment = Myra.Graphics2D.UI.VerticalAlignment.Top;
			Left = 1;
			Height = 1400;
			Widgets.Add(SkinManagerGrid);
			Widgets.Add(TabControl);
		}

		
		public ComboBox SpineAssetsComboBox;
		public ListBox ExternalSkinsList;
		public TextButton EnableSkinButton;
		public TextButton ImportSkinButton;
		public TextButton RemoveSkinButton;
		public ListBox CoreSkinsList;
		public TextButton EnableCoreSkinButton;
		public ComboBox SideComboBox;
		public ComboBox AnimationComboBox;
		public ListBox ColorChannelsList;
		public TextButton ColorPickerButton;
		public ComboBox AttachmentComboBox;
		public SpinButton XSpinButton;
		public SpinButton YSpinButton;
		public SpinButton RotationSpinButton;
		public SpinButton WidthSpinButton;
		public SpinButton HeightSpinButton;
		public SpinButton ScaleXSpinButton;
		public SpinButton ScaleYSpinButton;
		public ComboBox MeshSkinComboBox;
		public Grid PropertiesGrid;
		public ImageTextButton SaveButton;
		public Grid SkinManagerGrid;
		public TabItem SkinManagerTab;
		public ListBox ContentItemsList;
		public TextBox ContentItemIdTextBox;
		public TextBox ContentItemPathTextBox;
		public TextButton ContentItemPathTextButton;
		public ComboBox ContentItemItemTypeComboBox;
		public CheckBox ContentItemNeverUnloadCheckBox;
		public TextButton SaveContentItemButton;
		public TextButton RemoveContentItemButton;
		public Grid ContentItemPropertiesGrid;
		public Label MainFileLocationLabel;
		public Label SaveLocationLabel;
		public TextButton ImportContentItemButton;
		public TextBox ContentItemImportIdTextBox;
		public ComboBox ContentItemImportItemTypeComboBox;
		public TextBox ContentItemImportPathTextBox;
		public TextButton ContentItemImportPathTextButton;
		public TextBox ContentItemImportSavePathTextBox;
		public TextButton ContentItemImportSavePathTextButton;
		public TabItem ContentItemsTab;
		public Label ProjectPathLabel;
		public TextButton OpenProjectTextButton;
		public ComboBox ActiveModComboBox;
		public TextButton ActiveModComboBoxRefreshButton;
		public TextBox AvailableSidePrefixesTextBox;
		public TextBox AvailableColorChannelSuffixesTextBox;
		public TextBox ImportedSkinDefaultLocationTextBox;
		public TextBox AutoMeshMapTextBox;
    public TextBox MultiSlotMapTextBox;
		public TextButton SaveCurrentProjectSettingsTextButton;
		public TextBox StartProjectPathTextBox;
		public TextButton StartProjectPathSetCurrentTextButton;
		public TextBox StartSpineProjectIdTextBox;
		public TextBox EnableSkinsTextBox;
		public TextBox AssetsPathTextBox;
		public TextButton SaveSkinManagerSettingsTextButton;
		public TabItem SettingsTab;
		public TabControl TabControl;
	}
}
